<!DOCTYPE html>
<html>

<head>
  <title>Module 2 jQuery an Bootstrap Exam</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <link rel="icon" href="images/favicon.ico" type="image/x-icon">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
  <!-- Data Table-->
  <link rel="stylesheet" href="https://cdn.datatables.net/1.13.5/css/dataTables.bootstrap4.min.css">
  <script src="https://cdn.datatables.net/1.13.5/js/jquery.dataTables.min.js"></script>
  <script src="https://cdn.datatables.net/1.13.5/js/dataTables.bootstrap4.min.js"></script>
  <link rel="stylesheet" href="css/style.css">
</head>

<body>
  <!-- Vùng header -->
  <div class="container">
    <div class="text-center">
      <h2 class="mt-5 mb-4 font-weight-bold">DANH SÁCH SẢN PHẨM</h2>
    </div>
    <div id="product-manipulation" class="row form-group d-flex justify-content-between align-items-center no-gutters">
      <div class="col-5">
        <label class="ml-5" for="country-select">Quốc gia</label>
        <select class="ml-3" name="" id="country-select">
          <option value="all">-- Chọn quốc gia --</option>
        </select>
      </div>
      <div class="col-5">
        <label for="product-category-select">Nhóm sản phẩm</label>
        <select class="ml-3" name="" id="product-category-select">
          <option value="all">-- Nhóm sản phẩm --</option>
        </select>
      </div>
      <div class="col-2">
        <button class="btn text-light" id="btn-filter-product">Lọc sản phẩm</button>
      </div>
    </div>
    <div class="form-group">
      <button class="btn text-light" id="btn-add-product"><i class="fa fa-plus"></i>&nbsp; Thêm sản phẩm</button>
    </div>
  </div>
  <!-- Product Data Table -->
  <div class="container">
    <table class="table table-bordered table-striped table-hover table-custom-tr-color" id="product-table">
      <thead class="text-white font-weight-bold h6 custom-background-product-header">
        <tr>
          <th>STT</th>
          <th>Mã sản phẩm</th>
          <th>Tên sản phẩm</th>
          <th>Nhóm sản<br>phẩm</th>
          <th>Quốc Gia</th>
          <th>Ảnh đại diện</th>
          <th>Giá bán</th>
          <th>Giá giảm</th>
          <th>Action</th>
        </tr>
      </thead>
    </table>
  </div>
  <!-- Vùng Modal -->
  <!-- Create product modal -->
  <div id="create-product-modal-background" class="modal-background">
    <div id="create-product-modal" class="modal fade" tabindex="-1">
      <div class="modal-dialog">
        <div class="modal-content create-and-update-modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="h4-modal-title">Thêm Mới Sản Phẩm</h5>
            <button class="close" data-dismiss="modal">&times;</button>
          </div>
          <div class="modal-body">
            <form>
              <div class="row col-lg-12">
                <div id="create-image" class="col-lg-6">
                  <div class="row">
                    <img id="create-upload-image" src="images/No_Image_Available.jpg" class="col-lg-12 img-fluid" alt="Hình ảnh sản phẩm">
                    <div class="custom-create-update-file col-lg-12">
                      <label class="btn btn-primary mt-2" for="file-create-upload">Tải ảnh lên</label>
                      <input type="file" id="file-create-upload">
                    </div>
                    <div class="col-lg-12 d-flex flex-column h-100">
                      <div class="row form-group text-and-textarea-content">
                        <div class="col-lg-12 text-center">
                          <label for="textarea-create-description" class="font-weight-bold h5 mt-5">Mô tả sản phẩm</label>
                        </div>
                        <div class="col-lg-12">
                          <textarea name="textarea-description" id="textarea-create-description"
                            class="form-group d-flex align-items-start" cols="40" rows="5"
                            placeholder="Nhập mô tả ..."></textarea>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="col-lg-6 pt-3 left-product-info">
                  <div class="row form-group">
                    <div class="col-lg-5 create-label">
                      <label for="input-create-product-code">Product Code</label>
                    </div>
                    <div class="col-lg-7">
                      <input type="text" id="input-create-product-code" name="create-product-code"
                        placeholder="Product Code ..." class="form-control">
                    </div>
                  </div>
                  <div class="row form-group">
                    <div class="col-lg-5 create-label">
                      <label for="input-create-product-name">Product Name</label>
                    </div>
                    <div class="col-lg-7">
                      <input type="text" id="input-create-product-name" name="create-product-name"
                        placeholder="Product Name ..." class="form-control">
                    </div>
                  </div>
                  <div class="row form-group">
                    <div class="col-lg-5 create-label">
                      <label for="input-create-price">Price</label>
                    </div>
                    <div class="col-lg-7">
                      <input type="text" id="input-create-price" name="create-price" placeholder="0.0"
                        class="form-control">
                    </div>
                  </div>
                  <div class="row form-group">
                    <div class="col-lg-5 create-label">
                      <label for="input-create-discount-price">Discount Price</label>
                    </div>
                    <div class="col-lg-7">
                      <input type="text" id="input-create-discount-price" name="create-discount-price" placeholder="0.0"
                        class="form-control">
                    </div>
                  </div>
                  <div class="row form-group">
                    <div class="col-lg-5 create-label">
                      <label for="create-product-category-select">Nhóm sản phẩm</label>
                    </div>
                    <div class="col-lg-7">
                      <select name="product-category" id="create-product-category-select" class="form-control">
                        <option value="all">-- Nhóm sản phẩm --</option>
                      </select>
                    </div>
                  </div>
                  <div class="row form-group">
                    <div class="col-lg-5 create-label">
                      <label for="create-country-select">Nước sản xuất</label>
                    </div>
                    <div class="col-lg-7">
                      <select name="country" id="create-country-select" class="form-control">
                        <option value="all">-- Chọn quốc gia --</option>
                      </select>
                    </div>
                  </div>
                </div>
              </div>
            </form>
          </div>
          <div class="modal-footer">
            <button class="btn btn-danger" id="btn-create-cancel" data-dismiss="modal">Hủy Bỏ</button>
            <button class="btn btn-primary" id="btn-create-product">Thêm Mới</button>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!-- Update product modal -->
  <div id="update-product-modal-background" class="modal-background">
    <div id="update-product-modal" class="modal fade" tabindex="-1">
      <div class="modal-dialog">
        <div class="modal-content create-and-update-modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="h4-modal-title">Thông Tin Chi Tiết</h5>
            <button class="close" data-dismiss="modal">&times;</button>
          </div>
          <div class="modal-body">
            <form>
              <div class="row col-lg-12">
                <div id="update-image" class="col-lg-6">
                  <img id="update-upload-image" src="" class="col-lg-12 img-fluid" alt="Hình ảnh sản phẩm">
                  <div class="custom-create-update-file col-lg-12">
                    <label class="btn btn-primary mt-2" for="file-update-upload">Tải ảnh lên</label>
                    <input type="file" id="file-update-upload">
                  </div>
                  <div class="col-lg-12">
                    <div class="row form-group">
                      <div class="col-lg-12 text-center">
                        <label for="textarea-update-description" class="font-weight-bold h5 mt-5">Mô tả sản phẩm</label>
                      </div>
                      <div class="col-lg-12">
                        <textarea name="textarea-description" id="textarea-update-description"
                          class="form-group d-flex align-items-start" cols="40" rows="5"
                          placeholder="Nhập mô tả ..."></textarea>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="col-lg-6 pt-3">
                  <div class="row form-group">
                    <div class="col-lg-5 update-label">
                      <label for="input-update-product-code">Product Code</label>
                    </div>
                    <div class="col-lg-7">
                      <input type="text" id="input-update-product-code" name="update-product-code"
                        placeholder="Product Code ..." class="form-control">
                    </div>
                  </div>
                  <div class="row form-group">
                    <div class="col-lg-5 update-label">
                      <label for="input-update-product-name">Product Name</label>
                    </div>
                    <div class="col-lg-7">
                      <input type="text" id="input-update-product-name" name="update-product-name"
                        placeholder="Product Name ..." class="form-control">
                    </div>
                  </div>
                  <div class="row form-group">
                    <div class="col-lg-5 update-label">
                      <label for="input-update-price">Price</label>
                    </div>
                    <div class="col-lg-7">
                      <input type="text" id="input-update-price" name="update-price" placeholder="0.0"
                        class="form-control">
                    </div>
                  </div>
                  <div class="row form-group">
                    <div class="col-lg-5 update-label">
                      <label for="input-update-discount-price">Discount Price</label>
                    </div>
                    <div class="col-lg-7">
                      <input type="text" id="input-update-discount-price" name="update-discount-price" placeholder="0.0"
                        class="form-control">
                    </div>
                  </div>
                  <div class="row form-group">
                    <div class="col-lg-5 update-label">
                      <label for="update-product-category-select">Nhóm sản phẩm</label>
                    </div>
                    <div class="col-lg-7">
                      <select name="product-category" id="update-product-category-select" class="form-control">
                        <option value="all">-- Nhóm sản phẩm --</option>
                      </select>
                    </div>
                  </div>
                  <div class="row form-group">
                    <div class="col-lg-5 update-label">
                      <label for="update-country-select">Nước sản xuất</label>
                    </div>
                    <div class="col-lg-7">
                      <select name="country" id="update-country-select" class="form-control">
                        <option value="all">-- Chọn quốc gia --</option>
                      </select>
                    </div>
                  </div>
                </div>
              </div>
            </form>
          </div>
          <div class="modal-footer">
            <button class="btn btn-danger" id="btn-update-cancel" data-dismiss="modal">Hủy Bỏ</button>
            <button class="btn btn-primary" id="btn-update-product">Cập Nhật</button>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!-- Delete product modal -->
  <!-- Delete Register User modal -->
  <div id="delete-product-modal-background" class="modal-background">
    <div class="modal fade" tabindex="-1" id="delete-confirm-modal">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="h5-modal-title">Confirm xóa sản phẩm</h5>
            <button class="close" data-dismiss="modal">&times;</button>
          </div>
          <div class="modal-body">
            <div id="current-image" class="col-lg-6">
              <img src="" class="col-lg-12 img-fluid" alt="Hình ảnh sản phẩm">
              <div class="col-lg-12">
                <div class="row form-group">
                  <div class="col-lg-12 text-center">
                    <p id="current-product-name" class="font-weight-bold mt-5"></p>
                  </div>
                </div>
              </div>
            </div>
            <label class="d-flex justify-content-center font-italic">Bạn có chắc chắn muốn xóa sản phẩm này không?</label>
          </div>
          <div class="modal-footer">
            <button class="btn btn-danger" id="btn-confirm-delete-product">Xác nhận</button>
            <button class="btn btn-light" data-dismiss="modal">Hủy bỏ</button>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

</body>
<script src="https://www.gstatic.com/firebasejs/6.0.2/firebase-app.js"></script>
<script src="https://www.gstatic.com/firebasejs/6.0.2/firebase-auth.js"></script>
<script src="https://www.gstatic.com/firebasejs/6.0.2/firebase-storage.js"></script>
<script src="https://www.gstatic.com/firebasejs/6.0.2/firebase-database.js"></script>
<script src="js/script.js"></script>

</html>